Subject: bug#6550: [External] : Re: bug#6550: FW: bug#5721: Feature request: Function that returnsabsolute coordinates

From: Drew Adams <[email-masked]>
Date: Sun, 18 Jul 2021 15:08:06 +0000

> 5721.  Thanks for the correction.
> So this is about `window-absolute-pixel-edges' and
> `window-inside-absolute-pixel-edges' not returning the correct locations
> under Windows?

Yes, I believe so.

> Is this still the case in recent versions of Emacs?  If so, can you
> provide an example of the wrong results they return?

What about you?  (or George?  or Susan?  or...)  Do you
think it's still the case?  Can you provide an example
of the wrong results?  Can you show it's no longer the
case?

My contribution here was simply to agree (11 years ago!)
with several others (including Juanma, who has contributed
a lot to Emacs development on w32) that the bug _should be
left open IF, as they confirmed, it's not yet fixed on w32_.

I still feel that's the right approach.  Do you disagree?

Lennart put it this way:

>> But besides that, this is free software.  Unless a bug
>> explicitly mentions w32, I do think it is done when it is
>> implemented for free systems (in this case, nextstep and X).
>
> Oh, please, I think that would make a mess of
> Emacs.  Leave bugs open until they are implemented
> on all relevant platforms!  Without that a lot of
> time will be wasted when other people again tries
> to find out why things do not work.

Please leave this bug open.  Closing bugs is not
equivalent to fixing bugs, even if some might find
it makes for nice-looking bug-reduction graphs.

Confirmed bug reports are valuable and helpful, even
those that might not be fixed anytime soon.